LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices


Reply
  Search this Thread
Old 07-30-2017, 07:23 AM   #1
KenJackson
Member
 
Registered: Jul 2006
Location: Maryland, USA
Distribution: Fedora, PCLinuxOS
Posts: 673

Rep: Reputation: 91
Can't update to F26 because of chromium-libs-media


I ran the command:
Code:
sudo dnf --refresh system-upgrade download --releasever=26
And got the error:
Code:
Error: package chromium-59.0.3071.115-3.fc26.x86_64 requires chromium-libs-media(x86-64) = 59.0.3071.115-3.fc26, but none of the providers can be installed
I know I could uninstall chromium but I don't want to. And I don't want chrome.

I thought there was a fedorapeople repo, but I can't find it. How do I solve this?
 
Old 07-31-2017, 06:28 AM   #2
Drakeo
Senior Member
 
Registered: Jan 2008
Location: Urbana IL
Distribution: Slackware, Slacko,
Posts: 3,492
Blog Entries: 3

Rep: Reputation: 426Reputation: 426Reputation: 426Reputation: 426Reputation: 426
remove chromium and then do it ok.
 
Old 07-31-2017, 07:44 AM   #3
KenJackson
Member
 
Registered: Jul 2006
Location: Maryland, USA
Distribution: Fedora, PCLinuxOS
Posts: 673

Original Poster
Rep: Reputation: 91
Quote:
Originally Posted by Drakeo View Post
remove chromium and then do it ok.
Yeah, I thought of that. In fact it's the obvious fallback solution. But right now chromium is my only way I can run the Authy app that allows me access to CoinBase.

It will probably work just fine to uninstall, upgrade and reinstall, but since this Authy thing seems to be a bit fragile, I was hoping there would be a more direct solution. If I can't upgrade including chromium, I lack perfect confidence that I'll be able to reinstall chromium after the upgrade.

Last edited by KenJackson; 07-31-2017 at 07:46 AM.
 
Old 07-31-2017, 10:11 AM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2017 CentOS6.9 CentOS7.4 + 50+ other Linux OS, for test only.
Posts: 17,049

Rep: Reputation: 3459Reputation: 3459Reputation: 3459Reputation: 3459Reputation: 3459Reputation: 3459Reputation: 3459Reputation: 3459Reputation: 3459Reputation: 3459Reputation: 3459
Another suggestion :

Disable the chromium repo while updating.
After updating : Check if the "chromium.repo" is valid for Fedora 26.
May be it's time for an update of the chromium repo ?
 
Old 08-01-2017, 12:47 PM   #5
KenJackson
Member
 
Registered: Jul 2006
Location: Maryland, USA
Distribution: Fedora, PCLinuxOS
Posts: 673

Original Poster
Rep: Reputation: 91
I think it's solved.

The original error message said to consider adding "--allowerasing". I ignored that because I figured that since it couldn't find a perquisite of chromium, it would just remove chromium. But I tried it to see, and it appears it's going to remove "chromium-libs-media-freeworld" and just normally upgrade chromium and chromium-libs-media.

Maybe the only problem is that the error message listed the wrong package.

OK, here we go.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
F26 merging Workstation with Python Classroom Lab JZL240I-U Fedora 4 07-18-2017 07:15 AM
[SOLVED] Why is there a chromium related update... caffewmilk Ubuntu 2 10-06-2015 02:10 PM
Update chromium slackbuild frushiyama Slackware 4 04-18-2013 01:44 PM
xen-libs won't update rjo98 Linux - Server 6 05-25-2012 01:12 PM
Can't update krb5-libs jnojr Red Hat 4 01-05-2010 05:48 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora

All times are GMT -5. The time now is 08:10 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration